Subject: [Simple] Request URI in SUBSCRIBE

From: Holger Schmidt <[email-masked]>
Date: Wed, 21 Jan 2009 10:38:23 +0100

In the example in RFC 3856 (Section 8) the following SUBSCRIBE request
is initially send to the precence agent:

>       SUBSCRIBE sip:[email-masked] SIP/2.0
>       Via: SIP/2.0/TCP watcherhost.example.com;branch=z9hG4bKnashds7
>       To: <sip:[email-masked]>
>       From: <sip:[email-masked]>;tag=xfg9
>       Call-ID: [email-masked]
>       CSeq: 17766 SUBSCRIBE
>       Max-Forwards: 70
>       Event: presence
>       Accept: application/pidf+xml
>       Contact: <sip:[email-masked]>
>       Expires: 600
>       Content-Length: 0
> 

Why is there the user part of the presentity in the request URI?

I am aware of RFC3265 saying:

>    The Request URI of a SUBSCRIBE request, most importantly, contains
>    enough information to route the request to the appropriate entity per
>    the request routing procedures outlined in SIP [1].  It also contains
>    enough information to identify the resource for which event
>    notification is desired, but not necessarily enough information to
>    uniquely identify the nature of the event (e.g.,
>    "sip:[email-masked]" would be an appropriate URI to subscribe
>    to for my presence state; it would also be an appropriate URI to
>    subscribe to the state of my voice mailbox).

However, is there a reason for this information mandatorily being part
of the request URI? Would a request URI "SUBSCRIBE sip:example.com
SIP/2.0" not be enough for this purpose?

Thanks in advance,
Holger
_______________________________________________
Simple mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/simple